import os, sys, importlib, glob, inspect, itertools

from ffx.track_type import TrackType

from ffx.track_descriptor import TrackDescriptor
from ffx.media_descriptor import MediaDescriptor

from .label_combinator import LabelCombinator


class LabelCombinator0(LabelCombinator):

    VARIANT = 'L0'

    def __init__(self, context = None):
        self._context = context
        self._logger = context['logger']
        self._reportLogger = context['report_logger']

    def getVariant(self):
        return LabelCombinator0.VARIANT

    def getPayload(self):
        return ''

    def assertFunc(self, testObj = {}):
        pass

    def shouldFail(self):
        return False
